
    .form textarea {
        width: 100%;
        resize: none;
        outline: none;
        margin-bottom: 15px;
    }

    .form button {
        text-align: center;
        background: #DB0000;
        color: #fff;
        font-size: 14px;
        font-weight: bold;
        padding: 5px 15px;
        text-decoration: none;
    }

    .btn-fix {
        position: fixed;
        bottom: 20px;
        right: 50px;
        z-index: 9999;
    }

    @media (max-width: 600px) {
        .btn-fix {
            /*bottom: 40px;*/
            /*right: 40px;*/
            /*transform: none;*/
        }
    }

    .button {
        position: relative;
        border: 0;
        margin: 40px auto;
        box-shadow: none;
        cursor: pointer;
        background-color: #B41400;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        -webkit-backface-visibility: hidden;
        transform-origin: center;
        outline: none;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #fff;
        font-weight: bold;
        font-size: 8px;
    }

    .button:before, .button:after {
        position: absolute;
        width: 100%;
        height: 100%;
        content: "";
        display: block;
        border-radius: 50%;
        top: 0;
        right: 0;
        transform: scale(0);
        transform-origin: center;
        -webkit-backface-visibility: hidden;
        z-index: -1;
        background-color: #B41400;
    }

    .button:before {
        animation: wave-animate 2s infinite ease-out;
    }

    .button:after {
        opacity: 0;
        animation: wave-animate 2s 1.5s infinite ease-out;
    }

    .button svg {
        position: relative;
        z-index: 2;
        width: 60%;
        transform: rotate(0deg);
        transform-origin: center;
        fill: #B41400;
    }

    .button:focus {
        outline: none !important;
    }

    .button.bounce {
        animation: animation 1000ms linear both;
    }

    .button.bounce svg {
        animation: rotate 500ms linear both;
    }

    @keyframes rotate {
        100% {
            transform: rotate(-180deg);
        }
    }

    @keyframes animation {
        0% {
            transform: matrix3d(0.5, 0, 0, 0, 0, 0.5, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        3.4% {
            transform: matrix3d(0.658, 0, 0, 0, 0, 0.703, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        4.7% {
            transform: matrix3d(0.725, 0, 0, 0, 0, 0.8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        6.81% {
            transform: matrix3d(0.83, 0, 0, 0, 0, 0.946, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        9.41% {
            transform: matrix3d(0.942, 0, 0, 0, 0, 1.084, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        10.21% {
            transform: matrix3d(0.971, 0, 0, 0, 0, 1.113, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        13.61% {
            transform: matrix3d(1.062, 0, 0, 0, 0, 1.166, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        14.11% {
            transform: matrix3d(1.07, 0, 0, 0, 0, 1.165, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        17.52% {
            transform: matrix3d(1.104, 0, 0, 0, 0, 1.12, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        18.72% {
            transform: matrix3d(1.106, 0, 0, 0, 0, 1.094, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        21.32% {
            transform: matrix3d(1.098, 0, 0, 0, 0, 1.035, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        24.32% {
            transform: matrix3d(1.075, 0, 0, 0, 0, 0.98, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        25.23% {
            transform: matrix3d(1.067, 0, 0, 0, 0, 0.969, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        29.03% {
            transform: matrix3d(1.031, 0, 0, 0, 0, 0.948, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        29.93% {
            transform: matrix3d(1.024, 0, 0, 0, 0, 0.949, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        35.54% {
            transform: matrix3d(0.99, 0, 0, 0, 0, 0.981, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        36.74% {
            transform: matrix3d(0.986, 0, 0, 0, 0, 0.989, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        41.04% {
            transform: matrix3d(0.98, 0, 0, 0, 0, 1.011, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        44.44% {
            transform: matrix3d(0.983, 0, 0, 0, 0, 1.016, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        52.15% {
            transform: matrix3d(0.996, 0, 0, 0, 0, 1.003, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        59.86% {
            transform: matrix3d(1.003, 0, 0, 0, 0, 0.995, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        63.26% {
            transform: matrix3d(1.004, 0, 0, 0, 0, 0.996, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        75.28% {
            transform: matrix3d(1.001, 0, 0, 0, 0, 1.002, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        85.49% {
            transform: matrix3d(0.999, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        90.69% {
            transform: matrix3d(1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
        100% {
            transform: matrix3d(1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
        }
    }

    @keyframes wave-animate {
        0% {
            transform: scale(0);
            opacity: 1;
        }
        100% {
            transform: scale(2);
            opacity: 0;
        }
    }

    /* Стили попапа */
    .popup {
        position: fixed;
        bottom: 20px;
        right: 10px;
        background: #fff;
        padding: 40px 20px 20px;
        border-radius: 10px;
        box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
        width: 90%;
        max-width: 400px;
        z-index: 99999999999;
    }

    .popup-content {
        position: relative;
    }

    /* Кнопка закрытия */
    .btn-close {
        position: absolute;
        top: -35px;
        right: -10px;
        background: none;
        border: none;
        font-size: 20px;
        cursor: pointer;
    }

    /* Стили чата */
    .chat {
        margin-bottom: 20px;
    }

    .chat div {
        margin-bottom: 10px;
        padding: 10px;
        box-sizing: border-box;
        border-radius: 5px;
    }

    #chatMessages {
        padding: 0;
    }

    #chatMessages div {
        background-color: #f1f1f1;
    }

    #typingIndicator {
        font-style: italic;
        color: gray;
        text-align: left;
    }

    .hidden {
        display: none;
    }


    /* Стили формы */
    form input {
        width: 100%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
    }

    .form-field {
        position: relative;
        margin-bottom: 10px;
    }

    form button {
        padding: 10px 0;
        width: 100%;
        background: #B41400;
        font-weight: bold;
        color: #fff;
        border-radius: 10px;
        border: none;
    }

    .hidden {
        display: none !important
    }
